Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 3605)
@@ -947,8 +49,11 @@
 ! vertical interpolation using interpolation routine:
 !      write(*,*)'avant interp vert', t_prof
-      CALL interp2_case_vertical(play,nlev_cas,plev_prof_cas                                              &
+      CALL interp2_case_vertical_std(play,nlev_cas,plev_prof_cas                                              &
      &         ,t_prof_cas,theta_prof_cas,thv_prof_cas,thl_prof_cas                                          &
      &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                                 &
-     &         ,ug_prof_cas,vg_prof_cas,vitw_prof_cas,omega_prof_cas                                      &
+     &         ,ug_prof_cas,vg_prof_cas                                                                   &
+     &       ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                         &
+
+     &         ,vitw_prof_cas,omega_prof_cas                                                              &
      &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                   &
      &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas    &
@@ -956,16 +61,16 @@
 !
      &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas,qv_mod_cas,ql_mod_cas,qi_mod_cas          &
-     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas,w_mod_cas,omega_mod_cas                         &
+     &         ,u_mod_cas,v_mod_cas,ug_mod_cas,vg_mod_cas                                                 &
+     &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                           &
+     &         ,w_mod_cas,omega_mod_cas                                                                   &
      &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                         &
      &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas           &
      &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
 
-!       write(*,*) 'Profil initial forcing case interpole',t_mod
 
 ! initial and boundary conditions :
 !      tsurf = ts_prof_cas
+      psurf = ps_prof_cas
       ts_cur = ts_prof_cas 
-      psurf=plev_prof_cas(1)
-      write(*,*) 'SST initiale: ',tsurf
       do l = 1, llm
        temp(l) = t_mod_cas(l)
@@ -980,17 +85,17 @@
        omega2(l)=omega(l)/rg*airefi ! flxmass_w calcule comme ds physiq
 
-       alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
-!on applique le forcage total au premier pas de temps
-!attention: signe different de toga
-       d_t_adv(l) = alpha*omega(l)/rcpd+(ht_mod_cas(l)+vt_mod_cas(l))
-       d_t_adv(l) = alpha*omega(l)/rcpd+(ht_mod_cas(l)+vt_mod_cas(l))
-!      d_q_adv(l,1) = (hq_mod_cas(l)+vq_mod_cas(l))
-       d_q_adv(l,1) = dq_mod_cas(l)
+
+! On effectue la somme du forcage total et de la decomposition
+! horizontal/vertical en supposant que soit l'un soit l'autre
+! sont remplis mais jamais les deux
+
+       d_t_adv(l) = dt_mod_cas(l)+ht_mod_cas(l)+vt_mod_cas(l)
+       d_q_adv(l,1) = dq_mod_cas(l)+hq_mod_cas(l)+vq_mod_cas(l)
        d_q_adv(l,2) = 0.0
-!      d_u_adv(l) = (hu_mod_cas(l)+vu_mod_cas(l))
-       d_u_adv(l) = du_mod_cas(l)
-!      d_v_adv(l) = (hv_mod_cas(l)+vv_mod_cas(l))
-! correction bug d_u -> d_v (MM+MPL 20170310)
-       d_v_adv(l) = dv_mod_cas(l)
+       d_u_adv(l) = du_mod_cas(l)+hu_mod_cas(l)+vu_mod_cas(l)
+       d_v_adv(l) = dv_mod_cas(l)+hv_mod_cas(l)+vv_mod_cas(l)
+
+!print*,'d_t_adv ',d_t_adv(1:20)*86400
+
       enddo     
 
@@ -1006,5 +111,3 @@
        ENDIF
 
-      endif !forcing_case2
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
+      endif !forcing_SCM
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/compar1d.h
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/compar1d.h	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/compar1d.h	(revision 3605)
@@ -42,5 +42,6 @@
       integer :: tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh, trad
       integer :: forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar
-      real    :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_q
+      real    :: nudging_u, nudging_v, nudging_w, nudging_t, nudging_qv
+      real    :: p_nudging_u, p_nudging_v, p_nudging_w, p_nudging_t, p_nudging_qv
       common/com_par1d/                                                 &
      & nat_surf,tsurf,rugos,rugosh,                                     &
@@ -52,6 +53,7 @@
      & restart,ok_old_disvert,                                          &
      & tadv, tadvv, tadvh, qadv, qadvv, qadvh, thadv, thadvv, thadvh,   &
-     & trad, forc_omega, forc_w, forc_geo, forc_ustar,                  &
-     & nudging_u, nudging_v, nudging_t, nudging_q
+     & trad, forc_omega, forc_u, forc_v, forc_w, forc_geo, forc_ustar,  &
+     & nudging_u, nudging_v, nudging_t, nudging_qv, nudging_w,          &
+     & p_nudging_u, p_nudging_v, p_nudging_t, p_nudging_qv, p_nudging_w
 
 !$OMP THREADPRIVATE(/com_par1d/)
Index: /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/lmdz1d.F90	(revision 3604)
+++ /LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/lmdz1d.F90	(revision 3605)
@@ -1,2 +1,5 @@
+!
+! $Id$
+!
 !#ifdef CPP_1D
 !#include "../dyn3d/mod_const_mpi.F90"
